Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), DeferredDeletion(False)> _
<Appearance("Hide GLReportChartOfAccounts Actions when InPublic", AppearanceItemType:="Action", targetitems:="aSelectChartOfAccounts_DTR", criteria:="GLReport.InPublic=True", visibility:=Editors.ViewItemVisibility.Hide)> _
Public Class GLReportChartOfAccounts
    Inherits BaseObject
    Private _GLReport As GLReport
    Private _AccountNumber As String
    Private _ShortName As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("GLReport-GLReportChartOfAccounts", GetType(GLReport))> _
    Property GLReport As GLReport
        Get
            Return _GLReport
        End Get
        Set(value As GLReport)
            SetPropertyValue("GLReport", _GLReport, value)
        End Set
    End Property
    Property AccountNumber As String
        Get
            Return _AccountNumber
        End Get
        Set(value As String)
            SetPropertyValue("AccountNumber", _AccountNumber, value)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
End Class
